%% This code was used to perform this analysis in the article: 
%%"Analysis of the propionate metabolism in Bacillus subtilis during 3-indolacetic production"

%% Using Robustness Analysis, plot the objective function as a function of the Trp uptake rate
[controlFlux, objFlux] = robustnessAnalysis(model,'R_E00032',10);


%% Double Robustness Analysis, plot the objective function as a function of the Trp uptake rate and a reaction as extra control parameter
[controlFlux1, controlFlux2, objFlux] = doubleRobustnessAnalysis(model, 'R_E00064', 'R_E00002',10)

%% PhenotypePhasePlane
phenotypePhasePlane(model,'AIA_extracellular','R_E00064');


Single Gene Deletion, Performs single gene deletion and using FBA optimize a objetive fuction
model1 = changeRxnBounds(model,'R_E00064',-2.952,'b'); %propionato
model1 = changeObjective(model1,'R_AIA_Extracellular');% indolacetico

singlegenedeletion = singleGeneDeletion(model1)
